package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(class_group):
 */
public class ClassGroup4Teacher extends ClassGroup{

	@ApiModelProperty(value = "乐团名称",required = false)
	private String musicGroupName;

	@ApiModelProperty(value = "乐团状态",required = false)
	private MusicGroupStatusEnum musicGroupStatus;

	public String getMusicGroupName() {
		return musicGroupName;
	}

	public void setMusicGroupName(String musicGroupName) {
		this.musicGroupName = musicGroupName;
	}

	public MusicGroupStatusEnum getMusicGroupStatus() {
		return musicGroupStatus;
	}

	public void setMusicGroupStatus(MusicGroupStatusEnum musicGroupStatus) {
		this.musicGroupStatus = musicGroupStatus;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
